Subject: Re: bug#1836: emacs -Q -fn "nonexistent" hangs
From: Jason Rumney <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Juanma Barranquero <[email-masked]>, [email-masked], Dan Nicolaescu <[email-masked]>
Date: Sun, 11 Jan 2009 21:30:22 +0800

Stefan Monnier wrote:
> No, I just thought I'd try my luck.  Also I figured that if the extra
> check was needed, we'd then learn why.  And indeed, now we learned why.
> So when you re-add it, please make sure you add a comment that explains
> the circumstance in which it's needed.
>   

OK, I've written a rather lengthy comment to go with the change, 
explaining both why we want to exit when not in daemon mode, and why we 
don't want to in daemon mode.